#pragma once

#include "sprite.h"

#ifndef BACKGROUND_H
#define BACKGROUND_H

//Clase para el fondo de pantalla del juego
class Background
{
public:
	//Constructor
	Background();

	//Inicializador
	void init(int x, int y, int w, int h, LTexture *texture);

	//Pinta el fondo en la pantalla
	void render();

private:
	//Variables
	Sprite mSprite;
};

#endif